%define upstream_name XMLNews-HTMLTemplate
%define upstream_version 0.01

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 5
License:	GPL
Group:		Development/Perl
Summary:	A module for converting NITF to HTML
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel

Requires:	perl(XMLNews::Meta)
Buildarch:	noarch

%description
%{upstream_name} - module designed to create template-based HTML pages 
using news documents in XMLNews-Meta and XMLNews-Story format

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
make PREFIX=%{buildroot}%{_prefix} install DESTDIR=%{buildroot}

%files 
%doc README MANIFEST Changes
%{perl_vendorlib}/XMLNews
%{_mandir}/*/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-5.mga8
+ Revision: 1498436
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-4.mga7
+ Revision: 1272775
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-3.mga6
+ Revision: 1036034
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.10.0-2.mga6
+ Revision: 968697
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 0.10.0-1.mga6
+ Revision: 854389
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.01-15.mga5
+ Revision: 743028
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-14.mga5
+ Revision: 686982
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.01-13.mga4
+ Revision: 516295
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.01-12.mga3
+ Revision: 375257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.01-11.mga1
+ Revision: 24144
- cleaning spec file
- imported package perl-XMLNews-HTMLTemplate


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.01-11mdv2010.0
+ Revision: 430664
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-10mdv2009.0
+ Revision: 242253
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.01-8mdv2008.0
+ Revision: 64202
- rebuild

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.01-7mdv2008.0
+ Revision: 23514
- rebuild


* Fri May 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.01-6mdk
- Fix Build
- Fix BuildRequires
- use mkrel

* Tue Jun 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-5mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-4mdk
- rebuild for new auto{prov,req}

